<?php
namespace Bushelpowered\Api\Platform\Tenant\V1;
        
class GetAllTenantsForStaffUserMetadata
{
    public function __construct(
        public ?string $requiredAuthorizationBearer,
				public ?string $requiredTenant,
        public ?array $extraOptionalMetadata = null,
    ) {}
    
    public function getMetadata() {
        $array = [];
        
        
        if ($this->requiredAuthorizationBearer) {
            $array['Authorization'] = $this->requiredAuthorizationBearer;
        }
    
        if ($this->requiredTenant) {
            $array['X-Bushel-Tenant'] = $this->requiredTenant;
        }
    
        
        return $this->extraOptionalMetadata ? array_merge($array, $this->extraOptionalMetadata) : $array;
    }
}