<?php
namespace Bushelpowered\Api\Aggregator\Config\V1\Response;
        
class TenantConfigListWithSlugResponse 
{
    /** @var \Bushelpowered\Api\Aggregator\Config\V1\Model\TenantConfigListItem[] $data */
    public array $data;
    /** @var string $tenantId The tenant identifier.*/
    public string $tenantId;
    /** @var string $companySlug */
    public string $companySlug;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Config\V1\Model\TenantConfigListItem[]  $data 
     * @param  string  $tenantId The tenant identifier.
     * @param  string  $companySlug 
     */
    public function __construct(array $data, string $tenantId, string $companySlug)
    {
        $this->data = $data;
        $this->tenantId = $tenantId;
        $this->companySlug = $companySlug;
    }
    

}