<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Request;
        
class UpdateRolePermissionsRequest 
{
    /** @var string $id The id of the role to update permissions on*/
    public string $id;
    /** @var string[]|null $permissionsToAdd The permissions to add*/
    public ?array $permissionsToAdd = null;
    /** @var string[]|null $permissionsToRemove The permissions to remove*/
    public ?array $permissionsToRemove = null;

    /**
     * @param  string  $id The id of the role to update permissions on
     * @param  string[]|null  $permissionsToAdd The permissions to add
     * @param  string[]|null  $permissionsToRemove The permissions to remove
     */
    public function __construct(string $id, ?array $permissionsToAdd, ?array $permissionsToRemove)
    {
        $this->id = $id;
        $this->permissionsToAdd = $permissionsToAdd;
        $this->permissionsToRemove = $permissionsToRemove;
    }
    

}