<?php
namespace Bushelpowered\Api\Quoting\V1\Response;
        
class ProductListResponse 
{
    /** @var null|string $uploadedOn Timestamp when the products were uploaded of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $uploadedOn = null;
    /** @var null|string $uploadedBy User who uploaded the products*/
    public ?string $uploadedBy = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Response\ProductListItemResponse[] $products */
    public array $products;

    /**
     * @param  null|string  $uploadedOn Timestamp when the products were uploaded of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $uploadedBy User who uploaded the products
     * @param  \Bushelpowered\Api\Quoting\V1\Response\ProductListItemResponse[]  $products 
     */
    public function __construct(?string $uploadedOn, ?string $uploadedBy, array $products)
    {
        $this->uploadedOn = $uploadedOn;
        $this->uploadedBy = $uploadedBy;
        $this->products = $products;
    }
    

}